Package org.apache.uima.resource.metadata.impl

# Class ProcessingResourceMetaData_impl

java.lang.Object
org.apache.uima.resource.metadata.impl.MetaDataObject_impl
org.apache.uima.resource.metadata.impl.ResourceMetaData_impl
org.apache.uima.analysis_engine.metadata.impl.AnalysisEngineMetaData_impl
org.apache.uima.resource.metadata.impl.ProcessingResourceMetaData_impl

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `AnalysisEngineMetaData`, `MetaDataObject`, `ProcessingResourceMetaData`, `ResourceMetaData`, `XMLizable`

public class ProcessingResourceMetaData_impl extends AnalysisEngineMetaData_impl implements ProcessingResourceMetaData
Reference implementation of `ProcessingResourceMetaData`. This class only exists for historical reasons. It inherits almost everything from AnalysisEngineMetaData_impl. The only reason we need this class is because its XML tag name needs to be <processingResourceMetaData>, not <analysisEngienMetaData>, for compatibility with existing descriptors.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

- ## Field Summary

  ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `serialContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessingResourceMetaData_impl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected XmlizationInfo`
  `getXmlizationInfo()`
  To be implemented by subclasses to return information describing how to represent this object in XML.

  ### Methods inherited from class org.apache.uima.analysis_engine.metadata.impl.AnalysisEngineMetaData_impl

  `_setDelegateAnalysisEngineMetaData, getCapabilities, getDelegateAnalysisEngineMetaData, getFlowConstraints, getFsIndexCollection, getFsIndexes, getOperationalProperties, getTypePriorities, getTypeSystem, getXmlizationInfoForClass, isAsynchronousModeSupported, isSofaAware, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveImports, resolveImports, setAsynchronousModeSupported, setCapabilities, setFlowConstraints, setFsIndexCollection, setFsIndexes, setOperationalProperties, setTypePriorities, setTypeSystem, writePropertyAsElement`

  ### Methods inherited from class org.apache.uima.resource.metadata.impl.ResourceMetaData_impl

  `buildFromXMLElement, getClassForParameterType, getConfigurationParameterDeclarations, getConfigurationParameterSettings, getCopyright, getDescription, getName, getUUID, getVendor, getVersion, setConfigurationParameterDeclarations, setConfigurationParameterSettings, setCopyright, setDescription, setName, setUUID, setVendor, setVersion, validateConfigurationParameterDataTypeMatch, validateConfigurationParameterSettings, validateConfigurationParameterSettings`

  ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.resource.metadata.ProcessingResourceMetaData

  `getCapabilities, getFsIndexCollection, getFsIndexes, getOperationalProperties, getTypePriorities, getTypeSystem, isSofaAware, resolveImports, resolveImports, setCapabilities, setFsIndexCollection, setFsIndexes, setOperationalProperties, setTypePriorities, setTypeSystem`

  ### Methods inherited from interface org.apache.uima.resource.metadata.ResourceMetaData

  `getConfigurationParameterDeclarations, getConfigurationParameterSettings, getCopyright, getDescription, getName, getUUID, getVendor, getVersion, setConfigurationParameterDeclarations, setConfigurationParameterSettings, setCopyright, setDescription, setName, setUUID, setVendor, setVersion, validateConfigurationParameterSettings`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Constructor Details

  - ### ProcessingResourceMetaData_impl

    public ProcessingResourceMetaData_impl()

- ## Method Details

  - ### getXmlizationInfo

    protected XmlizationInfo getXmlizationInfo()
    Description copied from class: `MetaDataObject_impl`
    To be implemented by subclasses to return information describing how to represent this object in XML.
    Overrides:
      `getXmlizationInfo` in class `AnalysisEngineMetaData_impl`
    Returns:
      information defining this object's XML representation